## xenium 0.0.1+ds

=== debian/changelog ===
xenium (0.0.1+ds-2) unstable; urgency=medium

  * Fix FTBFS with GCC 10

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 04 Nov 2020 22:03:39 +0100

xenium (0.0.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #965347)

 -- Steffen Moeller <moeller@debian.org>  Mon, 20 Jul 2020 00:37:21 +0200
