## xenium 0.0.2%2Bds

=== debian/changelog ===
xenium (0.0.2+ds-9) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113641
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 14:53:40 +0200

xenium (0.0.2+ds-8) unstable; urgency=medium

  * Team upload.
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 20:12:23 +0100

xenium (0.0.2+ds-7) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Don't build the tests with -Werror
    Closes: #1016263

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 07:57:21 +0200

xenium (0.0.2+ds-6) unstable; urgency=medium

  * Team upload.
  * Builds on amd64 only

 -- Andreas Tille <tille@debian.org>  Wed, 22 Dec 2021 16:51:28 +0100

xenium (0.0.2+ds-5) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix GCC-11 FTBFS (Closes: #997269)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 24 Oct 2021 02:11:28 +0530

xenium (0.0.2+ds-4) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libxenium-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 18:31:19 +0200

xenium (0.0.2+ds-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.

  [ Juhani Numminen ]
  * Do not enable Thread Sanitizer in debian/rules, It is now enabled via
    debian/patches/detect-thread-sanitizer.patch

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 30 Dec 2020 18:46:06 +0100

xenium (0.0.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Architecture: any-amd64, any-i386, sparc64 (see #976481)
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 20:29:15 +0100

xenium (0.0.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 13 Nov 2020 03:19:52 +0530
