=== debian/control ===
Source: xenium
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               libboost-dev,
# OPTIONAL     libcds-dev,
               tao-json-dev,
               tao-config-dev,
               cmake,
               doxygen,
               googletest <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/xenium
Vcs-Git: https://salsa.debian.org/med-team/xenium.git
Homepage: https://github.com/mpoeter/xenium/
Rules-Requires-Root: no

Package: libxenium-dev
Architecture: any-amd64
Section: libdevel
Depends: ${misc:Depends}
Description: concurrent data structures and memory reclamation algorithms
 xenium is a header-only library that provides a collection of concurrent
 data structures and memory reclamation algorithms. The data structures
 are parameterized so that they can be used with various reclamation
 schemes (similar to how the STL allows customization of allocators).
 .
  * header only
  * highly customizable
  * no initialization code needed
  * supports dynamic number of threads (no fixed compile time
    specification)

Package: libxenium-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: libxenium-dev
Multi-Arch: foreign
Description: HTML documentation for the xenium library
 xenium is a header-only library that provides a collection of concurrent
 data structures and memory reclamation algorithms. The data structures
 are parameterized so that they can be used with various reclamation
 schemes (similar to how the STL allows customization of allocators).
 .
  * header only
  * highly customizable
  * no initialization code needed
  * supports dynamic number of threads (no fixed compile time
    specification)
 .
 This package contains the documentation for libxenium as well as some
 benchmarking and testing code.
