=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/mpoeter/xenium/tags .*/v?@ANY_VERSION@\.tar\.gz

# opts="mode=git,pretty=0.0+git%cd.%h,repacksuffix=+ds,dversionmangle=auto" https://github.com/mpoeter/xenium.git HEAD
